Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class DeviceType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `InetDeviceType`, `TvDeviceType`, `VoiceDeviceType`

    public abstract class DeviceType
    extends Entity

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `MGMT_TYPE_BGRADIUS` |
  `static int` | `MGMT_TYPE_OTHER` |
  `static int` | `MGMT_TYPE_SNMP` |
  `static int` | `MGMT_TYPE_SSH` |
  `static int` | `MGMT_TYPE_TELNET` |

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `entitySpecId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DeviceType()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getActiveConfigId()` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getConfig()` |
  `int` | `getDeviceEntitySpecId()` |
  `java.lang.String` | `getDeviceManagerClass()` |
  `int` | `getManagmentType()` |
  `java.lang.String` | `getProtocolHandlerClass()` |
  `java.lang.String` | `getSaHandlerClass()` |
  `int` | `getServiceActivationType()` |
  `boolean` | `isSource()` |
  `void` | `setActiveConfigId​(int deviceTypeConfigId)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setDeviceEntitySpecId​(int deviceEntitySpecId)` |
  `void` | `setDeviceManagerClass​(java.lang.String deviceManagerClass)` |
  `void` | `setManagmentType​(int managmentType)` |
  `void` | `setProtocolHandlerClass​(java.lang.String protocolHandlerClass)` |
  `void` | `setSaHandlerClass​(java.lang.String saHandlerClass)` |
  `void` | `setServiceActivationType​(int serviceActivationType)` |
  `void` | `setSource​(boolean source)` |

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### MGMT_TYPE_OTHER

    public static int MGMT_TYPE_OTHER

  - ### MGMT_TYPE_SNMP

    public static int MGMT_TYPE_SNMP

  - ### MGMT_TYPE_TELNET

    public static int MGMT_TYPE_TELNET

  - ### MGMT_TYPE_SSH

    public static int MGMT_TYPE_SSH

  - ### MGMT_TYPE_BGRADIUS

    public static int MGMT_TYPE_BGRADIUS

- ## Constructor Details

  - ### DeviceType

    public DeviceType()

- ## Method Details

  - ### getServiceActivationType

    public int getServiceActivationType()

  - ### getSaHandlerClass

    public java.lang.String getSaHandlerClass()

  - ### setSaHandlerClass

    public void setSaHandlerClass​(java.lang.String saHandlerClass)

  - ### getProtocolHandlerClass

    public java.lang.String getProtocolHandlerClass()

  - ### setProtocolHandlerClass

    public void setProtocolHandlerClass​(java.lang.String protocolHandlerClass)

  - ### getDeviceManagerClass

    public java.lang.String getDeviceManagerClass()

  - ### setDeviceManagerClass

    public void setDeviceManagerClass​(java.lang.String deviceManagerClass)

  - ### setServiceActivationType

    public void setServiceActivationType​(int serviceActivationType)

  - ### getManagmentType

    public int getManagmentType()

  - ### setManagmentType

    public void setManagmentType​(int managmentType)

  - ### getActiveConfigId

    public int getActiveConfigId()

  - ### setActiveConfigId

    public void setActiveConfigId​(int deviceTypeConfigId)

  - ### getDeviceEntitySpecId

    public int getDeviceEntitySpecId()

  - ### setDeviceEntitySpecId

    public void setDeviceEntitySpecId​(int deviceEntitySpecId)

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### isSource

    public boolean isSource()

  - ### setSource

    public void setSource​(boolean source)